port {{ openvpn_port }}
proto {{ openvpn_proto }}
dev tun

ca {{ openvpn_dir }}/server/ca.crt
cert {{ openvpn_dir }}/server/server.crt
key {{ openvpn_dir }}/server/server.key
dh {{ openvpn_dir }}/server/dh.pem

tls-auth {{ openvpn_dir }}/server/ta.key 0
tls-server
auth SHA256
cipher AES-256-CBC
tls-version-min 1.2
tls-cipher TLS-ECDHE-ECDSA-WITH-AES-256-GCM-SHA384:TLS-ECDHE-RSA-WITH-AES-256-GCM-SHA384:TLS-DHE-RSA-WITH-AES-256-GCM-SHA384:TLS-ECDHE-ECDSA-WITH-AES-256-CBC-SHA384:TLS-ECDHE-RSA-WITH-AES-256-CBC-SHA384:TLS-DHE-RSA-WITH-AES-256-CBC-SHA256

server {{ openvpn_subnet | ansible.utils.ipaddr('network') }} {{ openvpn_subnet | ansible.utils.ipaddr('netmask') }}
topology subnet
ifconfig-pool-persist ipp.txt
push "redirect-gateway def1 bypass-dhcp"
push "dhcp-option DNS 1.0.0.1"
push "dhcp-option DNS 1.1.1.1"
push "dhcp-option DNS 8.8.8.8"
push "dhcp-option DNS 8.8.4.4"
keepalive 5 30
persist-key
persist-tun
user nobody
group nogroup

status status-openvpn_udp_1194.log
status-version 1
log-append /var/log/openvpn/openvpn.log
verb 3

script-security 1
